=== debian/changelog ===
badwolf (1.0.2-1.0antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Tue, 18 Aug 2020 19:14:21 +0300

badwolf (1.0.2-1) unstable; urgency=medium

  * Initial release
  * Fix build problem (installing bin in wrong directory)
  * Changed to debian standard directory paths

 -- nXecure <not@telling.you>  Mon, 17 Aug 2020 13:18:04 +0200
