=== debian/control ===
Source: badwolf
Section: web
Priority: optional
Maintainer: anticapitalista <anticapitalista@riseup.net>
Build-Depends: debhelper (>= 11), libsoup2.4-dev, libwebkit2gtk-4.0-dev
Standards-Version: 4.1.3
Homepage: https://hacktivis.me/projects/badwolf

Package: badwolf
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libwebkit2gtk-4.0-37
Description: badwolf web browser
 A minimalist and privacy-oriented WebKit browser
