## badwolf 1.0.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # - Usage of += for appending to a variable
 
 PACKAGE = Badwolf
-VERSION = 1.0.2
+VERSION = 1.0.3
 VERSION_FULL = $(VERSION)`./version.sh`
 
 PREFIX  ?= /usr
@@ -24,13 +24,13 @@
 # for i in 24 32 48 64 128 256; do echo icons/hicolor/${i}x${i}/apps/badwolf.png; done | tr '\n' ' '
 ICON_SIZES = icons/hicolor/24x24/apps/badwolf.png icons/hicolor/32x32/apps/badwolf.png icons/hicolor/48x48/apps/badwolf.png icons/hicolor/64x64/apps/badwolf.png icons/hicolor/128x128/apps/badwolf.png icons/hicolor/256x256/apps/badwolf.png
 
-DEPS  = gtk+-3.0 webkit2gtk-4.0 libsoup-2.4
-SRCS  = uri.c uri_test.c keybindings.c downloads.c badwolf.c
-OBJS  = uri.o keybindings.o downloads.o badwolf.o
+DEPS  = gtk+-3.0 webkit2gtk-4.0 libsoup-2.4 libxml-2.0
+SRCS  = bookmarks.c uri.c uri_test.c keybindings.c downloads.c badwolf.c
+OBJS  = bookmarks.o uri.o keybindings.o downloads.o badwolf.o
 OBJS_test = uri_test.o
 EXE   = badwolf
 EXE_test = uri_test
-TRANS = fr.mo pt_BR.mo
+TRANS = fr.mo pt_BR.mo tr.mo
 DOCS  = usr.bin.badwolf README.md KnowledgeBase.md interface.txt
 
 CDEPS = -DDATADIR=\"$(DATADIR)\" -DPACKAGE=\"$(PACKAGE)\" -D_XOPEN_SOURCE=500 -D_POSIX_C_SOURCE=200809L -DVERSION=\"$(VERSION_FULL)\"
@@ -78,12 +78,14 @@
 .PHONY: install
 install: all
 	mkdir -p $(DESTDIR)$(BINDIR)
-	cp -p badwolf $(DESTDIR)$(BINDIR)
+	cp -p badwolf $(DESTDIR)$(BINDIR)/
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
-	cp -p badwolf.1 $(DESTDIR)$(MANDIR)/man1
+	cp -p badwolf.1 $(DESTDIR)$(MANDIR)/man1/
 	mkdir -p $(DESTDIR)$(DATADIR)/locale
-	cp -r locale/ $(DESTDIR)$(DATADIR)
-	cp interface.css $(DESTDIR)$(DATADIR)
+	cp -r locale/ $(DESTDIR)$(DATADIR)/
+	cp interface.css $(DESTDIR)$(DATADIR)/
+	cp startpage.html $(DESTDIR)$(DATADIR)/
+	cp manage-favorites.sh $(DESTDIR)$(DATADIR)/
 	mkdir -p $(DESTDIR)$(APPSDIR)
 	cp -p badwolf.desktop $(DESTDIR)$(APPSDIR)/
 	mkdir -p $(DESTDIR)$(DOCDIR)
