## badwolf 1.4.0

=== debian/changelog ===
badwolf (1.4.0-1) unstable; urgency=medium

  * Bump package to upstream release version 1.4.0
  * Removed google search, favorites, and twitter from startpage.
  * Change Alt-D from `close tab` to `put cursor in address bar`

 -- Craig <craig@bodhilinux.com>  Thu, 14 Aug 2025 16:20:42 -0700
