=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_clean:
	touch config.ninja
	dh_clean
override_dh_auto_configure:
	./configure PREFIX=/usr
